| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/flavors/{flavor_id} | Gets the flavor access type, which is public or private. |
Normal response codes: 200
This table shows the URI parameters for the show flavor access type request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| Uuid | The ID of the flavor of interest to you. |
This operation does not require a request body.
Example 3.53. Show flavor access type: JSON response
{
"flavor": {
"disk": 1,
"id": "1",
"links": [
{
"href": "http://openstack.example.com/v2/openstack/flavors/1",
"rel": "self"
},
{
"href": "http://openstack.example.com/openstack/flavors/1",
"rel": "bookmark"
}
],
"name": "m1.tiny",
"os-flavor-access:is_public": true,
"ram": 512,
"vcpus": 1
}
}
Example 3.54. Show flavor access type: XML response
<?xml version='1.0' encoding='UTF-8'?> <flavor xmlns:os-flavor-access="http://docs.openstack.org/compute/ext/flavor_access/api/v2" xmlns:atom="http://www.w3.org/2005/Atom" xmlns="http://docs.openstack.org/compute/api/v1.1" disk="1" vcpus="1" ram="512" name="m1.tiny" id="1" os-flavor-access:is_public="True"> <atom:link href="http://openstack.example.com/v2/openstack/flavors/1" rel="self"/> <atom:link href="http://openstack.example.com/openstack/flavors/1" rel="bookmark"/> </flavor>
This operation does not return a response body.

